2019-12-11 14:57 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000956Spring engineGeneralpublic2008-06-19 22:00
Reporterzenzike 
Assigned ToKloot 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version0.76b1+svn 
Target VersionFixed in Version 
Summary0000956: GetUnitHealth always returns 0
DescriptionWhen RAI is playing against another AI, the GetUnitHealth() call always returns 0. I think this is because there is a problem with unit->losStatus[allyTeam], presumably there is a problem with AIs and ally teams?

To reproduce, simply create a game with RAI vs any other AI (including itself), and watch the RAI log file.

TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0002337

Kloot (developer)

Last edited: 2008-06-17 17:32

Seems to return 0 only when called inside EnemyEnterLOS() (the losStatus check indeed fails in that particular case). Probably related to the recent changes to CUnit::CalcLosStatus() et all.

~0002338

Kloot (developer)

Should be fixed now, r6039.

~0002346

zenzike (reporter)

Why is the final line:
losStatus[at] &= newStatus;
rather than
losStatus[at] = newStatus;

I haven't looked deep into how losStatus works, but shouldn't the value of losStatus beceme the newStatus?

~0002347

zenzike (reporter)

Oh, what's the difference between "closed" and "resolved" in mantis too? Will you see my message if it's a closed bug?

~0002354

LordMatt (reporter)

Yes
+Notes

-Issue History
Date Modified Username Field Change
2008-06-17 14:36 zenzike New Issue
2008-06-17 17:03 Kloot Status new => assigned
2008-06-17 17:03 Kloot Assigned To => Kloot
2008-06-17 17:32 Kloot Note Added: 0002337
2008-06-17 17:32 Kloot Note Edited: 0002337
2008-06-17 17:39 Kloot Note Added: 0002338
2008-06-17 17:39 Kloot Status assigned => resolved
2008-06-17 17:39 Kloot Resolution open => fixed
2008-06-18 19:23 zenzike Status resolved => closed
2008-06-18 19:23 zenzike Note Added: 0002346
2008-06-18 19:31 zenzike Status closed => feedback
2008-06-18 19:31 zenzike Resolution fixed => reopened
2008-06-18 19:31 zenzike Note Added: 0002347
2008-06-19 22:00 LordMatt Status feedback => resolved
2008-06-19 22:00 LordMatt Resolution reopened => fixed
2008-06-19 22:00 LordMatt Note Added: 0002354
+Issue History